
#include <Arduino.h>
#include <U8g2lib.h>

#ifdef U8X8_HAVE_HW_I2C
#include <Wire.h>
#endif


U8G2_SH1106_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, /* reset=*/ U8X8_PIN_NONE);


void setup(void) {
  u8g2.begin();
  Serial.begin(115200);
}

void box(){
  for (int i=0; i<100; i++){
    u8g2.clearBuffer();
    u8g2.drawBox(10+i,15,30,7);
    u8g2.sendBuffer();
    delay(10);
  }
}

void circle(){
  for (int i=0; i<1000; i++){
    u8g2.clearBuffer();
    for (int p=0; p<1000; p++) {
      if ((i-p*10)>=0) {
        u8g2.drawCircle(64,32,i-p*10);
        }
      }
    u8g2.sendBuffer();
    Serial.println(analogRead(2));
    delay(analogRead(2)/100);
  }
}

void line() {
  
  for (int i=0; i<128; i++){
    u8g2.clearBuffer();
    u8g2.drawLine(i, 64, 128-i, 0);
    u8g2.sendBuffer();
    delay(50);
  }
  for (int i=0; i<64; i++){
    u8g2.clearBuffer();
    u8g2.drawLine(128, 64-i, 0, i);
    u8g2.sendBuffer();
    delay(50);
  }
    for (int i=0; i<128; i++){
    u8g2.clearBuffer();
    u8g2.drawLine(128-i, 0, i, 64);
    u8g2.sendBuffer();
    delay(50);
  }
  for (int i=0; i<64; i++){
    u8g2.clearBuffer();
    u8g2.drawLine(0, i, 128, 64-i);
    u8g2.sendBuffer();
    delay(50);
  }
}

void loop(void) {
  // picture loop  
  u8g2.clearBuffer();
  u8g2.setFont(u8g2_font_6x10_tf);
  u8g2.setFontRefHeightExtendedText();
  u8g2.setDrawColor(2);
  u8g2.setFontPosTop();
  u8g2.setFontDirection(0);
  u8g2.sendBuffer();
  circle();
  line();
  box();
}
